{ config, lib, impermanence, ... }:
{
  imports = [ impermanence.homeManagerModules.default ];

  home.persistence."${config.xdg.userDirs.extraConfig.XDG_PERSIST_DIR}" = {
    allowOther = false;
    removePrefixDirectory = true;
    directories = [
      "dirs/Keepers"
      "dirs/Projects"

      "nix/.local/state/nix/profiles"
      "secure/.ssh"
    ] ++ (if config.home.desktop.enable then [
      "dirs/Documents"
      "dirs/Games"
      "dirs/Photos"
      "dirs/Videos"

      "secure/.pki"
      "state/.local/state/wireplumber"
    ] else []);
  };
}
